htmlheader () {
	echo "<html><head>"
	echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=Shift_JIS\">"
	echo "<title>S.M.A.R.Tꗗ</title>"
	echo "</head><body><br>"
	echo "<div style=\"text-align: center;\">"
}

htmlfooter () {
	echo "</div>"
	echo "</body></html>"
}

tableheader () {
	echo "<table cellpadding=\"10\" cellspacing=\"0\" border=\"1\" style=\"text-align: center; width: 610px; margin-left: auto; margin-right: auto;\"><tbody>"
	echo "<tr>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 150px;\">^</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 150px;\">VAԍ<br>(hCu)</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 150px;\">e</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">x</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">֍σZN^</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">֕ۗZN^</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">֕s\ZN^</td>"
	echo "</tr>"
}

printsmart () {
	echo "<tr>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 150px;\">$model</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 150px;\">$serial</td>"
	echo "<td style=\"text-align: right; vertical-align: middle; width: 150px;\">$capacity</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">$temperature</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">$reallocated</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">$pending</td>"
	echo "<td style=\"text-align: center; vertical-align: middle; width: 40px;\">$uncorrectable</td>"
	echo "</tr>"
}

getdevicename () {
	if test $# -eq 0
	then
		echo "-"
	fi

	echo "$3 $4"
}

getserial () {
	if test $# -eq 0
	then
		echo "-"
		return
	fi

	serialnum="`grep $3 devicetable.txt`"
	if test $? -eq 0
	then
		echo $serialnum
	else
		echo "$3"
		echo "$3 (?)" >> devicetable.txt
	fi
}

getcapacity () {
	if test $# -eq 0
	then
		echo "-"
		return
	fi

	echo "$3"
}

gettemperature () {
	if test $# -eq 0
	then
		echo "-"
		return
	fi

	echo "${10}"
}

getreallocated () {
	if test $# -eq 0
	then
		echo "-"
		return
	fi

	echo "${10}"
}

getpending () {
	if test $# -eq 0
	then
		echo "-"
		return
	fi

	echo "${10}"
}

getuncorrectable () {
	if test $# -eq 0
	then
		echo "-"
		return
	fi

	echo "${10}"
}




devices="sda sdb sdc sdd sde sdf sdg sdh sdi sdj"

rm -f tmp_*.txt

for device in $devices
do
	./smartmontools/bin/smartctl.exe -i -A $device > tmp_.txt
	if test $? -ne 0
	then
		break
	fi
	tr -d '\015' < tmp_.txt > tmp_$device.txt
	echo -n "$device " >> tmp_devicelist.txt
done

htmlheader
tableheader

for device in `cat tmp_devicelist.txt`
do
	model="`getdevicename \`grep -i 'Device Model' tmp_$device.txt\``"
	serial="`getserial \`grep -i 'Serial Number' tmp_$device.txt\``"
	capacity="`getcapacity \`grep -i 'User Capacity' tmp_$device.txt\``"
	temperature="`gettemperature \`grep -i 'Temperature_Celsius' tmp_$device.txt\``"
	reallocated="`getreallocated \`grep -i 'Reallocated_Sector_Ct' tmp_$device.txt\``"
	pending="`getpending \`grep -i 'Current_Pending_Sector' tmp_$device.txt\``"
	uncorrectable="`getuncorrectable \`grep -i 'Offline_Uncorrectable' tmp_$device.txt\``"
	printsmart
done

echo "</tbody></table><br>"

htmlfooter

